error when building xf86-input-void

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

error when building xf86-input-void

James Hartley
After downloading the 3 Nov i386 snapshot, & fetching the CVS trees,
building xenocara stopped when compiling xf86-input-void with the error:

checking for XORG... configure: error: Package requirments (xorg-server >=
1.9.99.1 xproto) were not met:

Requested 'xorg-server >= 1.9.99.1 but version of xorg-server is 1.9.5

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XORG_CFLAGS
and XORG_LIBS to avoid the need to call pkg_config.
See the pkg-config man page for more details.

I there was a check-in for xf86-input-void on 5 Nov:

http://marc.info/?l=openbsd-cvs&m=132050065428812&w=2

Reply | Threaded
Open this post in threaded view
|

Re: error when building xf86-input-void

Matthieu Herrb
On Sun, Nov 06, 2011 at 05:01:26AM -0800, James Hartley wrote:

> After downloading the 3 Nov i386 snapshot, & fetching the CVS trees,
> building xenocara stopped when compiling xf86-input-void with the error:
>
> checking for XORG... configure: error: Package requirments (xorg-server >=
> 1.9.99.1 xproto) were not met:
>
> Requested 'xorg-server >= 1.9.99.1 but version of xorg-server is 1.9.5
>
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
>
> Alternatively, you may set the environment variables XORG_CFLAGS
> and XORG_LIBS to avoid the need to call pkg_config.
> See the pkg-config man page for more details.
>
> I there was a check-in for xf86-input-void on 5 Nov:
>
> http://marc.info/?l=openbsd-cvs&m=132050065428812&w=2
>
Yes, and also an update for the X server, which is required if you
want to rebuild most of the drivers that I updated after that:
http://marc.info/?l=openbsd-cvs&m=132050070928826&w=2

Reply | Threaded
Open this post in threaded view
|

Re: error when building xf86-input-void

James Hartley
Thanks, Matthieu.  I solved this by switching to a different mirror.  Even
downloading from anoncvs.usa.openbsd.org many hours after you had made the
last check-in resulted in the same error.

On Sun, Nov 6, 2011 at 6:00 AM, Matthieu Herrb <[hidden email]>wrote:

> On Sun, Nov 06, 2011 at 05:01:26AM -0800, James Hartley wrote:
> > After downloading the 3 Nov i386 snapshot, & fetching the CVS trees,
> > building xenocara stopped when compiling xf86-input-void with the error:
> >
> > checking for XORG... configure: error: Package requirments (xorg-server
> >=
> > 1.9.99.1 xproto) were not met:
> >
> > Requested 'xorg-server >= 1.9.99.1 but version of xorg-server is 1.9.5
> >
> > Consider adjusting the PKG_CONFIG_PATH environment variable if you
> > installed software in a non-standard prefix.
> >
> > Alternatively, you may set the environment variables XORG_CFLAGS
> > and XORG_LIBS to avoid the need to call pkg_config.
> > See the pkg-config man page for more details.
> >
> > I there was a check-in for xf86-input-void on 5 Nov:
> >
> > http://marc.info/?l=openbsd-cvs&m=132050065428812&w=2
> >
> Yes, and also an update for the X server, which is required if you
> want to rebuild most of the drivers that I updated after that:
> http://marc.info/?l=openbsd-cvs&m=132050070928826&w=2